Arduino A2DP

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
BluetoothA2DPOutputDefault Class Reference

Default Output Class providing both the Legacy I2S and the AudioTools I2S functionality. More...

`#include <BluetoothA2DPOutput.h>`

Inheritance diagram for BluetoothA2DPOutputDefault:

## Public Member Functions
bool | begin ()
void | end () override
void | set_output (audio_tools::AudioOutput &output) override
| Output AudioStream using AudioTools library.
void | set_output (audio_tools::AudioStream &output) override
| Output AudioStream using AudioTools library.
void | set_output (Print &output) override
| Output to Arduino Print.
void | set_output_active (bool active) override
void | set_sample_rate (int rate) override
size_t | write (const uint8_t *data, size_t len)

## Protected Attributes
BluetoothA2DPOutputLegacy | out_legacy
BluetoothA2DPOutputAudioTools | out_tools

## Detailed Description

Default Output Class providing both the Legacy I2S and the AudioTools I2S functionality.

Author
  Phil Schatzmann

Copyright
  Apache License Version 2

## Member Function Documentation

## ◆ begin()

bool BluetoothA2DPOutputDefault::begin | ( |  | ) |
| inline virtual

Implements BluetoothA2DPOutput.

## ◆ end()

void BluetoothA2DPOutputDefault::end | ( |  | ) |
| inline override virtual

Implements BluetoothA2DPOutput.

## ◆ set_output() [1/3]

void BluetoothA2DPOutputDefault::set_output | ( | audio_tools::AudioOutput & | output | ) |
| inline override virtual

Output AudioStream using AudioTools library.

Reimplemented from BluetoothA2DPOutput.

## ◆ set_output() [2/3]

void BluetoothA2DPOutputDefault::set_output | ( | audio_tools::AudioStream & | output | ) |
| inline override virtual

Output AudioStream using AudioTools library.

Reimplemented from BluetoothA2DPOutput.

## ◆ set_output() [3/3]

void BluetoothA2DPOutputDefault::set_output | ( | Print & | output | ) |
| inline override virtual

Output to Arduino Print.

Reimplemented from BluetoothA2DPOutput.

## ◆ set_output_active()

void BluetoothA2DPOutputDefault::set_output_active | ( | bool | active | ) |
| inline override virtual

Implements BluetoothA2DPOutput.

## ◆ set_sample_rate()

void BluetoothA2DPOutputDefault::set_sample_rate | ( | int | rate | ) |
| inline override virtual

Implements BluetoothA2DPOutput.

## ◆ write()

size_t BluetoothA2DPOutputDefault::write | ( | const uint8_t * | data,
|  | size_t | len
| ) |  |
| inline virtual

Implements BluetoothA2DPOutput.

The documentation for this class was generated from the following file:

- src/BluetoothA2DPOutput.h